Package ch.qos.logback.classic.filter

# Class ThresholdFilter

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.filter.Filter<ILoggingEvent>
ch.qos.logback.classic.filter.ThresholdFilter

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

public class ThresholdFilter extends Filter<ILoggingEvent>
Filters events below the threshold level. Events with a level below the specified level will be denied, while events with a level equal or above the specified level will trigger a FilterReply.NEUTRAL result, to allow the rest of the filter chain process the event. For more information about filters, please refer to the online manual at http://logback.qos.ch/manual/filters.html#thresholdFilter

Author:
  Sébastien Pennec

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`ThresholdFilter()`

## Method Summary

Modifier and Type
Method
Description
`FilterReply`
`decide(ILoggingEvent event)`
If the decision is ``FilterReply.DENY``, then the event will be dropped.
`void`
`setLevel(String level)`
`void`
`start()`

### Methods inherited from class ch.qos.logback.core.filter.Filter

`getName, isStarted, setName, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThresholdFilter

public ThresholdFilter()

## Method Details

### decide

public FilterReply decide(ILoggingEvent event)
Description copied from class: `Filter`
If the decision is ``FilterReply.DENY``, then the event will be dropped. If the decision is ``FilterReply.NEUTRAL``, then the next filter, if any, will be invoked. If the decision is ``FilterReply.ACCEPT`` then the event will be logged without consulting with other filters in the chain.

Specified by:
  `decide` in class `Filter<ILoggingEvent>`
Parameters:
  `event` - The event to decide upon.

### setLevel

public void setLevel(String level)

### start

public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `Filter<ILoggingEvent>`